NX Open C++ Reference Guide
|
Builder class for Cope Corner object
To create a new instance of this class, use Routing::RouteManager::CreateCopeCornerBuilder
More...
Public Member Functions | |
NXOpen::SelectNXObject * | SelectControlPoint () |
Returns the user selected Routing::ControlPoint for cope corner creation. | |
NXOpen::SelectNXObjectList * | SelectCopeStock () |
Returns the user selected correct object where correct object is Routing::Stock and Routing::ISegment . | |
void | SetStockList (const std::vector< NXOpen::Routing::Stock * > &objects) |
Set the Routing::Stock object list when list box is updated. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder class for Cope Corner object
To create a new instance of this class, use Routing::RouteManager::CreateCopeCornerBuilder
Use Routing::AssignCornerBuilder instead.
Created in NX7.5.0.
NXOpen::SelectNXObject* NXOpen::Routing::CopeCornerBuilder::SelectControlPoint | ( | ) |
Returns the user selected Routing::ControlPoint for cope corner creation.
Created in NX7.5.0.
License requirements : routing_advanced ("Routing Advanced")
NXOpen::SelectNXObjectList* NXOpen::Routing::CopeCornerBuilder::SelectCopeStock | ( | ) |
Returns the user selected correct object where correct object is Routing::Stock and Routing::ISegment .
Created in NX7.5.0.
License requirements : routing_advanced ("Routing Advanced")
void NXOpen::Routing::CopeCornerBuilder::SetStockList | ( | const std::vector< NXOpen::Routing::Stock * > & | objects | ) |
Set the Routing::Stock object list when list box is updated.
Created in NX7.5.0.
License requirements : routing_advanced ("Routing Advanced")
objects | Routing Stocks for cope creation |